diff --git a/src/main/java/net/minecraft/client/render/block/color/BlockColorTallGrass.java b/src/main/java/net/minecraft/client/render/block/color/TallGrassBlockColor.java
similarity index 88%
rename from src/main/java/net/minecraft/client/render/block/color/BlockColorTallGrass.java
rename to src/main/java/net/minecraft/client/render/block/color/TallGrassBlockColor.java
index 24e967e4b..3000589e2 100644
--- a/src/main/java/net/minecraft/client/render/block/color/BlockColorTallGrass.java
+++ b/src/main/java/net/minecraft/client/render/block/color/TallGrassBlockColor.java
@@ -1,38 +1,38 @@
-package net.minecraft.client.render.block.color;
-
-import java.util.Random;
-
-import net.minecraft.client.render.colorizer.Colorizer;
-import net.minecraft.client.render.colorizer.Colorizers;
-import net.minecraft.core.world.WorldSource;
-import net.minecraft.core.world.noise.ImprovedNoise;
-
-public class BlockColorTallGrass extends BlockColorCustom {
-	
-	protected static ImprovedNoise grassColorPerlin = new ImprovedNoise(new Random(0));
-	
-	public BlockColorTallGrass(Colorizer colorizer) {
-		super(colorizer);
-	}
-	
-	@Override
-	public int getWorldColor(WorldSource world, int x, int y, int z) {
-
-		double localTemperature = world.getBlockTemperature(x, z);
-		double localHumidity = world.getBlockHumidity(x, z);
-
-		long l1 = x * 0x2fc20fL + z * 0x5d8875L + y;
-		l1 = l1 * l1 * 0x285b825L + l1 * 11L;
-		int xO = (int) ((long) x + (l1 >> 14 & 31L));
-		int yO = (int) ((long) y + (l1 >> 19 & 31L));
-		int zO = (int) ((long) z + (l1 >> 24 & 31L));
-
-		float offsetT = (float) grassColorPerlin.getValue(xO / 32D, yO / 32D, z / 32D) / 2.5F;
-		float offsetH = (float) grassColorPerlin.getValue(x / 32D, yO / 32D, zO / 32D) / 2.5F;
-
-		localTemperature += offsetT;
-		localHumidity += offsetH;
-
-		return Colorizers.grass.getColor(localTemperature, localHumidity);
-	}
-}
+package net.minecraft.client.render.block.color;
+
+import java.util.Random;
+
+import net.minecraft.client.render.colorizer.Colorizer;
+import net.minecraft.client.render.colorizer.Colorizers;
+import net.minecraft.core.world.WorldSource;
+import net.minecraft.core.world.noise.ImprovedNoise;
+
+public class TallGrassBlockColor extends CustomBlockColor {
+	
+	protected static ImprovedNoise grassColorPerlin = new ImprovedNoise(new Random(0));
+	
+	public TallGrassBlockColor(Colorizer colorizer) {
+		super(colorizer);
+	}
+	
+	@Override
+	public int getWorldColor(WorldSource world, int x, int y, int z) {
+
+		double localTemperature = world.getBlockTemperature(x, z);
+		double localHumidity = world.getBlockHumidity(x, z);
+
+		long l1 = x * 0x2fc20fL + z * 0x5d8875L + y;
+		l1 = l1 * l1 * 0x285b825L + l1 * 11L;
+		int xO = (int) ((long) x + (l1 >> 14 & 31L));
+		int yO = (int) ((long) y + (l1 >> 19 & 31L));
+		int zO = (int) ((long) z + (l1 >> 24 & 31L));
+
+		float offsetT = (float) grassColorPerlin.getValue(xO / 32D, yO / 32D, z / 32D) / 2.5F;
+		float offsetH = (float) grassColorPerlin.getValue(x / 32D, yO / 32D, zO / 32D) / 2.5F;
+
+		localTemperature += offsetT;
+		localHumidity += offsetH;
+
+		return Colorizers.grass.getColor(localTemperature, localHumidity);
+	}
+}
diff --git a/src/main/java/net/minecraft/client/render/block/color/BlockColorWater.java b/src/main/java/net/minecraft/client/render/block/color/WaterBlockColor.java
similarity index 86%
rename from src/main/java/net/minecraft/client/render/block/color/BlockColorWater.java
rename to src/main/java/net/minecraft/client/render/block/color/WaterBlockColor.java
index ca43c3990..0a3568e71 100644
--- a/src/main/java/net/minecraft/client/render/block/color/BlockColorWater.java
+++ b/src/main/java/net/minecraft/client/render/block/color/WaterBlockColor.java
@@ -4,11 +4,11 @@ import net.minecraft.client.Minecraft;
 import net.minecraft.client.render.colorizer.Colorizer;
 import net.minecraft.core.world.WorldSource;
 
-public class BlockColorWater extends BlockColorCustom {
+public class WaterBlockColor extends CustomBlockColor {
 
 	public Minecraft mc = Minecraft.getMinecraft(this);
 	
-	public BlockColorWater(Colorizer colorizer) {
+	public WaterBlockColor(Colorizer colorizer) {
 		super(colorizer);
 	}
 	
diff --git a/src/main/java/net/minecraft/client/render/block/model/BlockModelAlgae.java b/src/main/java/net/minecraft/client/render/block/model/AlgaeBlockModel.java
similarity index 90%
rename from src/main/java/net/minecraft/client/render/block/model/BlockModelAlgae.java
rename to src/main/java/net/minecraft/client/render/block/model/AlgaeBlockModel.java
index 403526041..1f55d8914 100644
--- a/src/main/java/net/minecraft/client/render/block/model/BlockModelAlgae.java
+++ b/src/main/java/net/minecraft/client/render/block/model/AlgaeBlockModel.java
@@ -2,14 +2,14 @@ package net.minecraft.client.render.block.model;
 
 import net.minecraft.client.render.LightmapHelper;
 import net.minecraft.client.render.block.color.BlockColorDispatcher;
-import net.minecraft.client.render.stitcher.IconCoordinate;
+import net.minecraft.client.render.texture.stitcher.IconCoordinate;
 import net.minecraft.client.render.tessellator.Tessellator;
 import net.minecraft.core.block.Block;
 import net.minecraft.core.util.helper.Side;
 import net.minecraft.core.world.WorldSource;
 
-public class BlockModelAlgae<T extends Block> extends BlockModelStandard<T>{
-    public BlockModelAlgae(Block block) {
+public class AlgaeBlockModel<T extends Block> extends StandardBlockModel<T> {
+    public AlgaeBlockModel(Block block) {
         super(block);
     }
 
diff --git a/src/main/java/net/minecraft/client/render/block/model/BlockModelAxisAligned.java b/src/main/java/net/minecraft/client/render/block/model/AxisAlignedBlockModel.java
similarity index 81%
rename from src/main/java/net/minecraft/client/render/block/model/BlockModelAxisAligned.java
rename to src/main/java/net/minecraft/client/render/block/model/AxisAlignedBlockModel.java
index 7b0a967d2..235d662c3 100644
--- a/src/main/java/net/minecraft/client/render/block/model/BlockModelAxisAligned.java
+++ b/src/main/java/net/minecraft/client/render/block/model/AxisAlignedBlockModel.java
@@ -1,15 +1,15 @@
 package net.minecraft.client.render.block.model;
 
-import net.minecraft.client.render.stitcher.IconCoordinate;
-import net.minecraft.client.render.stitcher.TextureRegistry;
+import net.minecraft.client.render.texture.stitcher.IconCoordinate;
+import net.minecraft.client.render.texture.stitcher.TextureRegistry;
 import net.minecraft.client.render.tessellator.Tessellator;
 import net.minecraft.core.block.Block;
-import net.minecraft.core.block.BlockRotatable;
+import net.minecraft.core.block.RotatableBlock;
 import net.minecraft.core.util.helper.Side;
 import net.minecraft.core.util.helper.Sides;
 
-public class BlockModelAxisAligned<T extends Block> extends BlockModelStandard<T> {
-    public BlockModelAxisAligned(Block block) {
+public class AxisAlignedBlockModel<T extends Block> extends StandardBlockModel<T> {
+    public AxisAlignedBlockModel(Block block) {
         super(block);
     }
 
@@ -17,7 +17,7 @@ public class BlockModelAxisAligned<T extends Block> extends BlockModelStandard<T
     public boolean render(Tessellator tessellator, int x, int y, int z) {
         block.setBlockBoundsBasedOnState(renderBlocks.blockAccess, x, y, z);
         int l = renderBlocks.blockAccess.getBlockMetadata(x, y, z);
-        int i1 = BlockRotatable.getOrientation(l);
+        int i1 = RotatableBlock.getOrientation(l);
         switch(i1)
         {
             case 0: // '\0'
diff --git a/src/main/java/net/minecraft/client/render/block/model/BlockModelBasket.java b/src/main/java/net/minecraft/client/render/block/model/BasketBlockModel.java
similarity index 87%
rename from src/main/java/net/minecraft/client/render/block/model/BlockModelBasket.java
rename to src/main/java/net/minecraft/client/render/block/model/BasketBlockModel.java
index a320ac8da..d9f143c21 100644
--- a/src/main/java/net/minecraft/client/render/block/model/BlockModelBasket.java
+++ b/src/main/java/net/minecraft/client/render/block/model/BasketBlockModel.java
@@ -1,15 +1,15 @@
 package net.minecraft.client.render.block.model;
 
-import net.minecraft.client.render.stitcher.IconCoordinate;
-import net.minecraft.client.render.stitcher.TextureRegistry;
+import net.minecraft.client.render.texture.stitcher.IconCoordinate;
+import net.minecraft.client.render.texture.stitcher.TextureRegistry;
 import net.minecraft.client.render.tessellator.Tessellator;
 import net.minecraft.core.block.Block;
-import net.minecraft.core.block.BlockBasket;
+import net.minecraft.core.block.BasketBlock;
 import net.minecraft.core.util.helper.Side;
 
-public class BlockModelBasket<T extends BlockBasket> extends BlockModelStandard<T>{
+public class BasketBlockModel<T extends BasketBlock> extends StandardBlockModel<T> {
     protected IconCoordinate fillTexture = TextureRegistry.getTexture("minecraft:block/basket_fill");
-    public BlockModelBasket(Block block) {
+    public BasketBlockModel(Block block) {
         super(block);
     }
 
diff --git a/src/main/java/net/minecraft/client/render/block/model/BlockModelBed.java b/src/main/java/net/minecraft/client/render/block/model/BedBlockModel.java
similarity index 82%
rename from src/main/java/net/minecraft/client/render/block/model/BlockModelBed.java
rename to src/main/java/net/minecraft/client/render/block/model/BedBlockModel.java
index 15dd1fbe0..d9c1bf169 100644
--- a/src/main/java/net/minecraft/client/render/block/model/BlockModelBed.java
+++ b/src/main/java/net/minecraft/client/render/block/model/BedBlockModel.java
@@ -1,16 +1,15 @@
 package net.minecraft.client.render.block.model;
 
-import net.minecraft.client.render.stitcher.IconCoordinate;
-import net.minecraft.client.render.stitcher.TextureRegistry;
+import net.minecraft.client.render.texture.stitcher.IconCoordinate;
+import net.minecraft.client.render.texture.stitcher.TextureRegistry;
 import net.minecraft.client.render.tessellator.Tessellator;
+import net.minecraft.core.block.BedBlock;
 import net.minecraft.core.block.Block;
-import net.minecraft.core.block.BlockBed;
-import net.minecraft.core.block.logic.BedDirections;
 import net.minecraft.core.util.helper.Side;
 
-public class BlockModelBed<T extends Block> extends BlockModelStandard<T>{
+public class BedBlockModel<T extends Block> extends StandardBlockModel<T> {
     protected IconCoordinate underTexture = TextureRegistry.getTexture("minecraft:block/planks_oak");
-    public BlockModelBed(Block block) {
+    public BedBlockModel(Block block) {
         super(block);
         atlasIndices[0] = TextureRegistry.getTexture("minecraft:block/bed_foot_front");
         atlasIndices[1] = TextureRegistry.getTexture("minecraft:block/bed_foot_side");
@@ -27,8 +26,8 @@ public class BlockModelBed<T extends Block> extends BlockModelStandard<T>{
         renderBlocks.cache.setupCache(block, renderBlocks.blockAccess, x, y, z);
 
         final int meta = renderBlocks.blockAccess.getBlockMetadata(x, y, z);
-        final int direction = BlockBed.getDirectionFromMetadata(meta);
-        final boolean isFootOfBed = BlockBed.isBlockFootOfBed(meta);
+        final int direction = BedBlock.getDirection(meta);
+        final boolean isFootOfBed = BedBlock.isBlockFootOfBed(meta);
 
         final double minY = block.minY;
         block.minY += 0.1875D;
@@ -50,7 +49,7 @@ public class BlockModelBed<T extends Block> extends BlockModelStandard<T>{
         renderSide(tessellator, block, x, y, z, Side.TOP, meta);
 
         renderBlocks.uvRotateTop = 0;
-        final int f17 = isFootOfBed ? BedDirections.headOfBedMap[BedDirections.footToHeadMap[direction]] : BedDirections.headOfBedMap[direction];
+        final int f17 = isFootOfBed ? BedBlock.headOfBedMap[BedBlock.footToHeadMap[direction]] : BedBlock.headOfBedMap[direction];
 
         if(f17 != 2 && (renderBlocks.renderAllFaces || shouldSideBeRendered(renderBlocks.blockAccess, x, y, z - 1, 2)))
         {
@@ -88,9 +87,9 @@ public class BlockModelBed<T extends Block> extends BlockModelStandard<T>{
         if(side == Side.BOTTOM) {
             return underTexture;
         }
-        int k = BlockBed.getDirectionFromMetadata(data);
-        int l = BedDirections.bedDirection[k][side.getId()];
-        if(BlockBed.isBlockFootOfBed(data)) {
+        int k = BedBlock.getDirection(data);
+        int l = BedBlock.bedDirection[k][side.getId()];
+        if(BedBlock.isBlockFootOfBed(data)) {
             if(l == 2) {
                 return atlasIndices[3];
             }
diff --git a/src/main/java/net/minecraft/client/render/block/model/BlockModel.java b/src/main/java/net/minecraft/client/render/block/model/BlockModel.java
index b853530bc..d74eae690 100644
--- a/src/main/java/net/minecraft/client/render/block/model/BlockModel.java
+++ b/src/main/java/net/minecraft/client/render/block/model/BlockModel.java
@@ -1,7 +1,7 @@
 package net.minecraft.client.render.block.model;
 
 import net.minecraft.client.render.RenderBlocks;
-import net.minecraft.client.render.stitcher.IconCoordinate;
+import net.minecraft.client.render.texture.stitcher.IconCoordinate;
 import net.minecraft.client.render.tessellator.Tessellator;
 import net.minecraft.core.block.Block;
 import net.minecraft.core.util.helper.Side;
diff --git a/src/main/java/net/minecraft/client/render/block/model/BlockModelDispatcher.java b/src/main/java/net/minecraft/client/render/block/model/BlockModelDispatcher.java
index 6e4db5802..8647daba8 100644
--- a/src/main/java/net/minecraft/client/render/block/model/BlockModelDispatcher.java
+++ b/src/main/java/net/minecraft/client/render/block/model/BlockModelDispatcher.java
@@ -1,8 +1,9 @@
 package net.minecraft.client.render.block.model;
 
-import net.minecraft.client.render.stitcher.TextureRegistry;
+import net.minecraft.client.render.texture.stitcher.TextureRegistry;
 import net.minecraft.client.util.dispatch.Dispatcher;
 import net.minecraft.core.block.Block;
+import net.minecraft.core.block.Blocks;
 
 public class BlockModelDispatcher
     extends Dispatcher<Block, BlockModel>
@@ -12,7 +13,7 @@ public class BlockModelDispatcher
     {
         return instance;
     }
-    public static BlockModelEmpty modelEmpty = new BlockModelEmpty(null);
+    public static EmptyBlockModel modelEmpty = new EmptyBlockModel(null);
     public void addDispatch(BlockModel dispatchable)
     {
         addDispatch(dispatchable.block, dispatchable);
